Your submission was sent successfully! Close

CVE-2021-4128

Published: 14 September 2022

When transitioning in and out of fullscreen mode, a graphics object was not correctly protected; resulting in memory corruption and a potentially exploitable crash.<br>*This bug only affects Firefox on MacOS. Other operating systems are unaffected.*. This vulnerability affects Firefox < 95.

Notes

AuthorNote
mdeslaur
starting with Ubuntu 22.04, the firefox package is just a script
that installs the Firefox snap
amurray
Only affects Firefox for MacOS
Priority

Medium

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(Firefox for MacOS only)
focal Not vulnerable
(Firefox for MacOS only)
jammy Not vulnerable
(Firefox for MacOS only)
kinetic Not vulnerable
(Firefox for MacOS only)
trusty Ignored
(out of standard support)
upstream Not vulnerable
(Firefox for MacOS only)
xenial Not vulnerable
(Firefox for MacOS only)